package org.hso.texturesyncclient.model

import java.util.*

class DataModel

enum class TextureFormat {
    PNG, JPEG,
}

@Suppress("ArrayInDataClass")
data class Texture(
    val id : UUID,
    val name : String,
    val tags : Array<String>,
    val format : TextureFormat,
    val resolution : Pair<Int, Int>,
    val addedOn : Calendar,
    val textureHash : ByteArray
)
